2 Replies Latest reply on Feb 23, 2011 4:13 AM by Rohit Nayyar

    BL 8.0 SP7 Patch 2 Offline Linux Patch Catalog YUM error

    Vinnie Lima



      Leveraging an offline Red Hat linux repository to build out a Linux Catalog.  Came to find out that when we run "Update Catalog", BL likes to install its own "createrepo" RPM and dependencies, such as python-urlgrabber version 2.9.6.


      It happens that a newer version of python-urlgrabber version 3.1.0 is already installed.  So the Catalog update fails because it was not able to install the createrepo and its deps.


      Is there a way for BL to ignore if the package is already installed and move on?  I had to end up uninstalling (with --nodeps) a few packages just to let BL install an older version.


      BL 8.0 SP7 Patch 2 on Windows 2008 SP1.


      The specific error was:


      "Error occured while yummifying repositories, Error: unable to install createrepo on target server.  Error code: 3, Error: warning: <path>/createrepo-046-1.el4.rf.noarch.rpm: <blahblahblah> package python-urlgrabber-3.1.0-5.el5.noarch (which is newer than python-urlgrabber-2.9.6-1.2.el4.rf.noarch) is already installed"